{
    "criteria": {
        "pistolUnlocked":{
            "trigger": "minecraft:recipe_unlocked",
            "conditions": {
                "recipe": "crafting_template:tnt"
            }
        }
    },
    "rewards": {
        "function": "crafting_template:crafted_tnt"
    }
}